import { IWidgetFrame, IWidgetInstance } from "../apis/api.interfaces";
import { IWidgetInstanceInternal } from "../orchestrator/IWidgetInstanceInternal";
export declare class WidgetFrameAdapter implements IWidgetFrame {
    widgetInstance: IWidgetInstance;
    constructor(widgetInstance: IWidgetInstanceInternal);
    onVisibleStateChanged(isVisible: boolean): Promise<void>;
}
